## org.jfree.base
Class BaseBoot

    java.lang.Object
      org.jfree.base.AbstractBoot
          org.jfree.base.BaseBoot

All Implemented Interfaces:
  org.jfree.base.modules.SubSystem

    public class BaseBoot

extends AbstractBoot

The base boot class. This initializes the services provided by JCommon.

Author:
  Thomas Morgner

Method Summary
`static org.jfree.base.config.ModifiableConfiguration` `getConfiguration()` Returns the global configuration as modifiable configuration reference.
`static AbstractBoot` `getInstance()` Returns the boot instance.
`protected BootableProjectInfo` `getProjectInfo()` Returns the project info.
`protected Configuration` `loadConfiguration()` Returns the global configuration for JFreeReport.
`protected void` `performBoot()` Performs the boot process.

Methods inherited from class org.jfree.base.AbstractBoot
`createDefaultHierarchicalConfiguration, createDefaultHierarchicalConfiguration, getExtendedConfig, getGlobalConfig, getPackageManager, isBootDone, isBootInProgress, loadBooter, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConfiguration

    public static org.jfree.base.config.ModifiableConfiguration getConfiguration()

  Returns the global configuration as modifiable configuration reference.

  Returns:
    the global configuration

### loadConfiguration

    protected Configuration loadConfiguration()

  Returns the global configuration for JFreeReport.

  In the current implementation, the configuration has no properties defined, but references a parent configuration that:
  - copies across all the `System` properties to use as report configuration properties (obviously the majority of them will not apply to reports);
  - itself references a parent configuration that reads its properties from a file `jfreereport.properties`.

  Specified by:
    `loadConfiguration` in class `AbstractBoot`
  Returns:
    the global configuration.

### getInstance

    public static AbstractBoot getInstance()

  Returns the boot instance.

  Returns:
    The boot instance.

### performBoot

    protected void performBoot()

  Performs the boot process.

  Specified by:
    `performBoot` in class `AbstractBoot`

### getProjectInfo

    protected BootableProjectInfo getProjectInfo()

  Returns the project info.

  Specified by:
    `getProjectInfo` in class `AbstractBoot`
  Returns:
    The project info.